"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeDomainInput_1 = require("../shapes/DescribeDomainInput");
const DescribeDomainOutput_1 = require("../shapes/DescribeDomainOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDomain = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDomain",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDomainInput_1.DescribeDomainInput
    },
    output: {
        shape: DescribeDomainOutput_1.DescribeDomainOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=DescribeDomain.js.map