"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RegisterActivityTypeInput_1 = require("../shapes/RegisterActivityTypeInput");
const RegisterActivityTypeOutput_1 = require("../shapes/RegisterActivityTypeOutput");
const TypeAlreadyExistsFault_1 = require("../shapes/TypeAlreadyExistsFault");
const LimitExceededFault_1 = require("../shapes/LimitExceededFault");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RegisterActivityType = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RegisterActivityType",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RegisterActivityTypeInput_1.RegisterActivityTypeInput
    },
    output: {
        shape: RegisterActivityTypeOutput_1.RegisterActivityTypeOutput
    },
    errors: [
        {
            shape: TypeAlreadyExistsFault_1.TypeAlreadyExistsFault
        },
        {
            shape: LimitExceededFault_1.LimitExceededFault
        },
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=RegisterActivityType.js.map